package com.tykj.dev.misc.base;

import lombok.AllArgsConstructor;

/**
 * @author dengdiyi
 * 装备生命状态枚举
 */
@AllArgsConstructor
public enum DeviceLifeStatus {

    /**
     * 入库待审核
     */
    STORAGE_WAIT_CONFIRM(0, "入库待审核"),
    /**
     * 入库审核失败
     */
    STORAGE_CONFIRM_FAILED(1, "入库审核失败"),
    /**
     * 在库
     */
    IN_LIBRARY(2, "在库"),
    /**
     * 配发中
     */
    IN_TRANSIT(3, "配发"),
    /**
     * 维修中
     */
    REPAIRING(4, "维修中"),
    /**
     * 报废在省库
     */
    SCRAP_I(5, "已报废"),
    /**
     * 清退
     */
    SEND_BACK(6, "清退"),
    /**
     * 待退装
     */
    WAIT_RETIRED(7, "待退装"),
    /**
     * 退装
     */
    RETIRED(8, "退装"),
    /**
     * 待销毁
     */
    WAIT_DESTROY(9, "待销毁"),
    /**
     * 已销毁
     */
    DESTROYED(10, "已销毁"),
    /**
     * 丢失
     */
    LOSS(11, "丢失"),
    /**
     * 退役
     */
    RETIRE(12, "退役"),
    /**
     * 报废不在省库
     */
    SCRAP_II(13, "已报废"),
    /**
     * 使用
     */
    USE(14, "使用"),

    /**
     * 待退役
     */
    REPEL(15,"待退役");


    public Integer id;

    public String name;

}
